SDL_GetClipboardText(3)

NAME
SDL_GetClipboardText - Get UTF-8 text from the clipboard.

HEADER FILE
Defined in SDL3/SDL_clipboard.h

SYNOPSIS
#include "SDL3/SDL.h"

char * SDL_GetClipboardText(void);

DESCRIPTION
This functions returns an empty string if there was not enough memory left for a copy of the clipboard's content.

RETURN VALUE
Returns the clipboard text on success or an empty string on failure; call SDL_GetError () for more information. This should be freed with SDL_free () when it is no longer needed.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_HasClipboardText(3), •(3), SDL_SetClipboardText(3)